Security and Quality Rollup for .NET Framework (Sep 2017)

This script is Copyright (C) 2017 Tenable Network Security, Inc.


Synopsis :

The remote Windows host has a software framework installed that is
affected by a security feature bypass vulnerability.

Description :

The .NET Framework installation on the remote host is missing a
security update. It is, therefore, affected by the following
vulnerability:

- A remote code execution vulnerability exists when Microsoft .NET
Framework processes untrusted input. An attacker who successfully
exploited this vulnerability in software using the .NET framework
could take control of an affected system. An attacker could then
install programs; view, change, or delete data; or create new
accounts with full user rights. Users whose accounts are
configured to have fewer user rights on the system could be less
impacted than users who operate with administrative user rights.
(CVE-2017-8759)

See also :

http://www.nessus.org/u?39028b0b
http://www.nessus.org/u?a9b7377f

Solution :

Microsoft has released a set of patches for Microsoft .NET Framework
2.0 SP2, 3.5, 3.5.1, 4.5.2, 4.6, 4.6.1, 4.6.2, and 4.7

Risk factor :

High / CVSS Base Score : 9.4
(CVSS2#AV:N/AC:L/Au:N/C:N/I:C/A:C)
CVSS Temporal Score : 8.2
(CVSS2#E:H/RL:OF/RC:ND)
Public Exploit Available : true

Family: Windows : Microsoft Bulletins

Nessus Plugin ID: 103137 ()

Bugtraq ID: 100742

CVE ID: CVE-2017-8759

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now